data:extend({
  {
    type = "car",
    name = "killdozer",
    icon = "__KilldozerMod__/graphics/killdozer.png",
    icon_size = 64,
    flags = {"placeable-neutral", "player-creation", "placeable-off-grid"},
    minable = {mining_time = 1, result = "killdozer"},
    max_health = 10000,
    corpse = "big-remnants",
    dying_explosion = "big-explosion",
    energy_per_hit_point = 1,
    resistances = {
      {
        type = "fire",
        decrease = 50,
        percent = 90
      },
      {
        type = "physical",
        decrease = 50,
        percent = 80
      },
      {
        type = "impact",
        decrease = 100,
        percent = 90
      },
      {
        type = "explosion",
        decrease = 50,
        percent = 80
      },
      {
        type = "acid",
        decrease = 20,
        percent = 50
      }
    },
    collision_box = {{-1.5, -2.5}, {1.5, 2.5}},
    selection_box = {{-1.5, -2.5}, {1.5, 2.5}},
    effectivity = 0.8,
    braking_power = "400kW",
    burner = {
      fuel_category = "chemical",
      effectivity = 1,
      fuel_inventory_size = 2,
      smoke = {
        {
          name = "smoke",
          deviation = {0.25, 0.25},
          frequency = 50,
          position = {0.0, 1.5},
          starting_frame = 0,
          starting_frame_deviation = 60
        }
      }
    },
    consumption = "500kW",
    friction = 2e-3,
    light = {
      {
        intensity = 0.9,
        size = 40,
        color = {r=1.0, g=1.0, b=1.0}
      }
    },
    animation = {
      layers = {
        {
          width = 64,
          height = 64,
          frame_count = 2,
          direction_count = 64,
          shift = {0, -0.1875},
          animation_speed = 8,
          max_advance = 1,
          stripes = {
            {
              filename = "__KilldozerMod__/graphics/killdozer_entity.png",
              width_in_frames = 2,
              height_in_frames = 32,
            },
            {
              filename = "__KilldozerMod__/graphics/killdozer_entity.png",
              width_in_frames = 2,
              height_in_frames = 32,
              y = 32 * 64
            }
          }
        }
      }
    },
    turret_animation = {
      layers = {
        {
          filename = "__base__/graphics/entity/car/car-turret.png",
          line_length = 8,
          width = 36,
          height = 29,
          frame_count = 1,
          direction_count = 64,
          shift = {0.03125, -0.890625},
          animation_speed = 8,
          hr_version = {
            filename = "__base__/graphics/entity/car/hr-car-turret.png",
            line_length = 8,
            width = 71,
            height = 58,
            frame_count = 1,
            direction_count = 64,
            shift = {0.015625, -0.890625},
            animation_speed = 8,
            scale = 0.5
          }
        }
      }
    },
    turret_rotation_speed = 0.35 / 60,
    turret_return_timeout = 150,
    stop_trigger_speed = 0.2,
    sound_no_fuel = {
      {
        filename = "__base__/sound/fight/car-no-fuel-1.ogg",
        volume = 0.6
      }
    },
    sound_minimum_speed = 0.2,
    vehicle_impact_sound = { filename = "__base__/sound/car-wood-impact.ogg", volume = 1.0 },
    working_sound = {
      sound = {
        filename = "__base__/sound/fight/tank-engine.ogg",
        volume = 0.6
      },
      activate_sound = {
        filename = "__base__/sound/fight/tank-engine-start.ogg",
        volume = 0.6
      },
      deactivate_sound = {
        filename = "__base__/sound/fight/tank-engine-stop.ogg",
        volume = 0.6
      },
      match_speed_to_activity = true
    },
    open_sound = { filename = "__base__/sound/car-door-open.ogg", volume=0.7 },
    close_sound = { filename = "__base__/sound/car-door-close.ogg", volume = 0.7 },
    rotation_speed = 0.015,
    weight = 6000,
    inventory_size = 100,
    equipment_grid = "large-equipment-grid",
    tank_driving = true
  }
})